#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define	pdir	File
%define	pnam	Copy-Recursive
Summary:	File::Copy::Recursive - recursively copying files and directories
Summary(pl.UTF-8):	File::Copy::Recursive - rekurencyjne kopiowanie plików i katalogów
Name:		perl-File-Copy-Recursive
Version:	0.45
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e5eee1a3f8ae3aebbac063ea54870e54
URL:		https://metacpan.org/release/File-Copy-Recursive
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-File-Temp
BuildRequires:	perl-Path-Tiny
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-File
BuildRequires:	perl-Test-Warnings
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module copies and moves directories recursively (or single files,
well... singley) to an optional depth and attempts to preserve each
file or directory's mode.

%description -l pl.UTF-8
Te moduł kopiuje i przenosi katalogi rekurencyjnie (lub pojedyncze
pliki... pojedynczo) do opcjonalnej głębokości i próbuje zachować
uprawnienia każdego pliku i katalogu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README README.md
%dir %{perl_vendorlib}/File/Copy
%{perl_vendorlib}/File/Copy/Recursive.pm
%{_mandir}/man3/File::Copy::Recursive.3pm*
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-File-Copy-Recursive.git;a=log;h=master

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> e2166ab
- updated to 0.45

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a2d48cb
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Oct 03 2018 Jakub Bogusz <qboosh@pld-linux.org> 0f9e4e7
- updated to 0.44

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> fdf5fe4
- more verbose files

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 40020e7
- updated to 0.38

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 00141c7
- generic URL

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> ac13032
- up to 0.35

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6d4aac0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f0f4dbe
- converted to UTF-8

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 4197d1e
- pl, missing dir

* Sat Aug 12 2006 migo <migo@pld-linux.org> 9ec4293
- initial revision

